List Streaming Endpoints
Listing, Sorting and Filtering Streaming Endpoints
This endpoint returns the list of streaming endpoints in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas
where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/description, properties/lastModified, properties/resourceState, properties/scaleUnits, updated, updatedBy
Filtering
The $filter query parameter allows for streaming endpoints to be filtered on the basis of fields in the schema using OData query syntax.
See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/description, properties/lastModified, properties/resourceState, properties/scaleUnits, updated, updatedBy, updatedByEmail, updatedByName
Examples:
?$top=10 - Returns only the first 10 streaming endpoints from the list.
?$orderby=name desc - Sorts streaming endpoints by name in descending order.
?$filter=name eq 'descriptive name' - Returns streaming endpoints that match the provided name.
?$orderby=created desc - Sorts streaming endpoints by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns streaming endpoints created after January 1, 2021.
?$filter=properties/resourceState eq 'Running' - Returns streaming endpoints in the Running state.
Authentication
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Path parameters
Query parameters
n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n.@odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities.